Can't connect to VNC server using Guacamole client

I have a RealVNC server w/ Enterprise license.

I try to connect to it via a Guac server, but fails.

RealVNC debug log suggests that my side is dropping the connection, but that's unlikely.
I have a TightVNC on the same machine (different port, of course), and I can connect to it.
I CAN connect to it via RealVNC client, so it's not a port issue.

Any ideas?

<13> 2022-11-02T22:34:45.647Z EC2AMAZ-CB23MK0 vncserver[5016]: Connections: connected: 172.35.1.252::54304 (TCP)
<15> 2022-11-02T22:34:45.648Z EC2AMAZ-CB23MK0 vncserver[5016]: SConnection: reading protocol version
<14> 2022-11-02T22:34:45.649Z EC2AMAZ-CB23MK0 vncserver[5016]: SConnection: Client needs protocol version 3.8
<15> 2022-11-02T22:34:45.649Z EC2AMAZ-CB23MK0 vncserver[5016]: RfbConnection: Peer does not support sync, KeepAlive disabled
<13> 2022-11-02T22:34:45.649Z EC2AMAZ-CB23MK0 vncserver[5016]: Connections: disconnected: 172.35.1.252::54304 (TCP) ([EndOfStream] Disconnection by client)
<15> 2022-11-02T22:34:45.650Z EC2AMAZ-CB23MK0 vncserver[5016]: FdIo: shutdown 0000017F33B90510 (fd=1224), flush true (tellHandler true)
<15> 2022-11-02T22:34:45.650Z EC2AMAZ-CB23MK0 vncserver[5016]: FdIo: shutdown complete 0000017F33B90510 (fd=1224)
<15> 2022-11-02T22:34:45.650Z EC2AMAZ-CB23MK0 vncserver[5016]: FdIo: shutdown 0000017F33B90510 (fd=1224), flush true
0

Comments

6 comments
  • Official comment

    Hi Ran,

    Guacamole doesn't support the authentication and encryption provided by modern RFB versions used by RealVNC. You will need to set the Protocol version to 3.8 in the expert tab of VNC Server, ensure encryption is disabled - and set authentication to VNC Password.

    Best Regards

    Andrew

    Comment actions Permalink
  • Done all 3.
    Restarted server.

    Different error.

    <13> 2022-11-03T18:21:26.868Z EC2AMAZ-CB23MK0 vncserver[516]: Connections: connected: 172.35.1.252::46798 (TCP)
    <15> 2022-11-03T18:21:26.869Z EC2AMAZ-CB23MK0 vncserver[516]: SConnection: reading protocol version
    <14> 2022-11-03T18:21:26.869Z EC2AMAZ-CB23MK0 vncserver[516]: SConnection: Client needs protocol version 3.8
    <15> 2022-11-03T18:21:26.869Z EC2AMAZ-CB23MK0 vncserver[516]: RfbConnection: Peer does not support sync, KeepAlive disabled
    <15> 2022-11-03T18:21:26.870Z EC2AMAZ-CB23MK0 vncserver[516]: SProtoV4Down: processing security type message
    <14> 2022-11-03T18:21:26.870Z EC2AMAZ-CB23MK0 vncserver[516]: SProtoV4Down: Client requests security type VncAuth(2)
    <15> 2022-11-03T18:21:26.870Z EC2AMAZ-CB23MK0 vncserver[516]: SProtoV4Down: processing security message
    <15> 2022-11-03T18:21:26.870Z EC2AMAZ-CB23MK0 vncserver[516]: SProtoV4Down: processing security message
    <13> 2022-11-03T18:21:26.871Z EC2AMAZ-CB23MK0 vncserver[516]: Connections: disconnected: 172.35.1.252::46798 (TCP) ([EndOfStream] Disconnection by client)
    <15> 2022-11-03T18:21:26.871Z EC2AMAZ-CB23MK0 vncserver[516]: FdIo: shutdown 000002B6009C4770 (fd=1268), flush true (tellHandler true)
    <15> 2022-11-03T18:21:26.871Z EC2AMAZ-CB23MK0 vncserver[516]: FdIo: shutdown complete 000002B6009C4770 (fd=1268)

    0
    Comment actions Permalink
  • 0
    Comment actions Permalink
  • 0
    Comment actions Permalink
  • I set the "allow legacy" - it works now!

    1
    Comment actions Permalink
  • Hi Ran,

    I'm pleased to hear you've resolved the issue. The legacy setting is required in VNC Server 6.11.0 and later, as we changed the way VNC Server stores passwords: https://help.realvnc.com/hc/en-us/articles/6661259023389

    Kind regards,

    Jack

    0
    Comment actions Permalink

Please sign in to leave a comment.

Didn't find what you were looking for?

New post